Package org.codehaus.groovy.tools.shell

# Class IO.Verbosity

java.lang.Object
org.codehaus.groovy.tools.shell.IO.Verbosity

Enclosing class:
  `IO`

public static final class IO.Verbosity extends Object
Verbosity for simple logging: QUIET, INFO, VERBOSE, DEBUG

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IO.Verbosity`
`DEBUG`
`static final IO.Verbosity`
`INFO`
`final String`
`name`
`static final IO.Verbosity`
`QUIET`
`static final IO.Verbosity`
`VERBOSE`

## Method Summary

Modifier and Type
Method
Description
`static IO.Verbosity`
`forName(String name)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### QUIET

public static final IO.Verbosity QUIET

### INFO

public static final IO.Verbosity INFO

### VERBOSE

public static final IO.Verbosity VERBOSE

### DEBUG

public static final IO.Verbosity DEBUG

### name

public final String name

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### forName

public static IO.Verbosity forName(String name)